Page MenuHomePhabricator

Execute fix-stats.php on production
Closed, ResolvedPublic1 Story Points

Description

I dry-ran the script for enwiki last Friday. It was very slow when it was looking for missing tags for published articles. We should see if that slowness is avoidable, and if not, reserve enough time for running the script.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterSpeed up a query in fix-stats.php by 99.98%

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a project: LE-CX6-Sprint 4.
Nikerabbit moved this task to Backlog on the LE-CX6-Sprint 4 board.
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2015, 7:26 AM
Amire80 triaged this task as Normal priority.Sep 16 2015, 9:26 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.

Change 242862 had a related patch set uploaded (by Nikerabbit):
Speed up a query in fix-stats.php by 99.98%

https://gerrit.wikimedia.org/r/242862

Change 242862 merged by jenkins-bot:
Speed up a query in fix-stats.php by 99.98%

https://gerrit.wikimedia.org/r/242862

Script should now be okay to run once the fix hits both production branches.

Arrbee added a subscriber: Arrbee.Oct 5 2015, 7:11 AM

To be available this Thursday

santhosh moved this task from Backlog to Blocked on the LE-CX7-Sprint 1 board.Oct 6 2015, 12:01 PM
Amire80 assigned this task to Nikerabbit.Oct 7 2015, 9:21 AM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.
Amire80 added a subscriber: Amire80.
Nikerabbit moved this task from Blocked to Backlog on the LE-CX7-Sprint 1 board.Oct 12 2015, 5:23 AM
Amire80 moved this task from Backlog to In progress on the LE-CX7-Sprint 1 board.Oct 14 2015, 11:49 AM

I ran script on following Wikipedias where there was revision to be tagged:

'ab'
'ace'
'af'
'ak'
'am'
'ang'
'an'
'arc'
'ar'
'arz'
'ast'
'as'
'av'
'ay'
'az'
'bar'
'ba'
'bcl'
'be-tarask' (ie be_x_old in DB)
'be'

Amire80 moved this task from Backlog to In Progress on the LE-CX7-Sprint 2 board.Oct 21 2015, 7:23 AM
Amire80 edited a custom field.Oct 24 2015, 12:48 PM

In 'dewiki'

Fatal error: Call to a member function update() on a non-object in /srv/mediawiki/php-1.27.0-wmf.3/extensions/ContentTranslation/scripts/fix-stats.php on line 78

Ran script till 'ruwiki' in alphabetical order. We need to schedule run for remaining wiki.

dewiki error is reported in separate task at: T116918

Arrbee closed this task as Resolved.Oct 30 2015, 7:04 AM